Bug 9967 - Fix crash bug from search of mail=
Fix crash bug from search of mail=
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.0.6
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 01:56 UTC by Andrew Bartlett
Modified: 2013-08-29 15:05 UTC (History)
0 users

See Also:


Attachments
patches cherry-picked from master (1.21 KB, patch)
2013-06-24 01:56 UTC, Andrew Bartlett
mat: review+
Details
remaining patches cherry-picked from master to rev the ldb version, test the crash fix and fix other potential issues. (29.66 KB, patch)
2013-06-24 22:50 UTC, Andrew Bartlett
jra: review+
mat: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2013-06-24 01:56:01 UTC
Created attachment 8992 [details]
patches cherry-picked from master

This fixes the crash bug on partial matches with no chunks specified, triggered by Mozilla Thunderbird, and reported by Robin McCorkell <xenopathic@gmail.com>
Comment 1 Jeremy Allison 2013-06-24 17:34:05 UTC
Re-assigning to Karolin to get this into 4.0.next.
Jeremy.
Comment 2 Andrew Bartlett 2013-06-24 22:50:21 UTC
Created attachment 8993 [details]
remaining patches cherry-picked from master to rev the ldb version, test the crash fix and fix other potential issues.

We also need these patches, so we keep ldb in sync and bump it with a release version.
Comment 3 Andrew Bartlett 2013-06-24 22:52:05 UTC
Comment on attachment 8993 [details]
remaining patches cherry-picked from master to rev the ldb version, test the crash fix and fix other potential issues.

Sorry, fixing wrong patch title.
Comment 4 Jeremy Allison 2013-06-24 23:41:41 UTC
Comment on attachment 8993 [details]
remaining patches cherry-picked from master to rev the ldb version, test the crash fix and fix other potential issues.

LGTM.
Comment 5 Karolin Seeger 2013-06-25 09:45:30 UTC
Pushed to autobuild-v4-0-test.
Comment 6 Karolin Seeger 2013-06-26 08:54:43 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!